> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List baselines

> **Preview.** Available to teams with the `baselines_api` feature flag. The shape of this
endpoint may change before general availability.

List all baselines in the team. A baseline records the configuration you expect your
servers to be delivered with — plan, SSH keys, user data, disk layout and BIOS settings.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /baselines
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Prefixes
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /baselines:
    get:
      tags:
        - Baselines (Preview)
      summary: List baselines
      description: >
        **Preview.** Available to teams with the `baselines_api` feature flag.
        The shape of this

        endpoint may change before general availability.


        List all baselines in the team. A baseline records the configuration you
        expect your

        servers to be delivered with — plan, SSH keys, user data, disk layout
        and BIOS settings.
      operationId: get-baselines
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: bl_pRMLydp0dQKr1
                        type: baselines
                        attributes:
                          name: baseline-5
                          description: Standard build for the web tier
                          target_type: platforms
                          platforms:
                            - id: plan_GnzRD5xAqM5yw
                              slug: g3-h100-medium-74
                              name: g3.h100.medium-74
                          ssh_keys: []
                          user_data: null
                          disk_layout:
                            - role: os
                              count: 2
                              raid_level: raid-1
                          bios:
                            smt: true
                          created_at: '2026-07-30T16:21:19.209Z'
              schema:
                $ref: '#/components/schemas/baselines'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.baselinesPreview.getBaselines();

              console.log(result);
            }

            run();
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.BaselinesPreview.GetBaselines(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Baselines != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    baselines:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/baseline_data'
        meta:
          type: object
    baseline_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - baselines
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the baseline
            description:
              type: string
              nullable: true
              description: Description of the baseline
            target_type:
              type: string
              enum:
                - all_servers
                - custom
                - platforms
              description: >-
                Target of the baseline: all servers, a custom set (plan
                unknown), or specific platforms
            operating_system:
              type: string
              nullable: true
              description: >-
                Slug of the operating system the baseline expects the server to
                run
            platforms:
              type: array
              description: >-
                The plans this baseline applies to (only populated when
                target_type is "platforms")
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  slug:
                    type: string
            ssh_keys:
              type: array
              description: SSH keys the baseline expects on the server
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  fingerprint:
                    type: string
            user_data:
              type: object
              nullable: true
              description: User data the baseline expects to run on first boot
              properties:
                id:
                  type: string
                description:
                  type: string
                  nullable: true
            disk_layout:
              type: array
              description: Expected disk layout
              items:
                $ref: '#/components/schemas/baseline_disk_layout_group'
            bios:
              type: object
              description: Expected BIOS settings, keyed by setting id
            created_at:
              type: string
              nullable: true
              description: Date the baseline was created
    baseline_disk_layout_group:
      type: object
      properties:
        role:
          type: string
          enum:
            - os
            - storage
            - raw
          description: Purpose of the disk group
        count:
          type: integer
          description: Number of disks in the group
        raid_level:
          type: string
          nullable: true
          enum:
            - raid-0
            - raid-1
          description: >-
            RAID level for the group. Only valid for the 'os' and 'storage'
            roles
        filesystem:
          type: string
          nullable: true
          enum:
            - ext4
          description: >-
            Filesystem to format the group with. Only valid for the 'storage'
            role
        mount_point:
          type: string
          nullable: true
          description: Where the group is mounted. Required for the 'storage' role
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````